<?PHP  

if(is_logged_in($user)){
$tagtext = "Tag this race";
$actionlink = "individual.php?uid=$row[uid]&".get_sid();
}else{
$tagtext = "Log in to tag this race";
$actionlink = "$forum_url/forum/?do=login&from=racecalendar";
$tagstatus = "no";
}

if(is_logged_in($user)){
//Get user's uid
//$testresults = mysql_query("SELECT user_id FROM ".$prefix."User WHERE user_username=\"$username\"") or die(mysql_error());
//$testrow = mysql_fetch_array($testresults);
//$useruid = $testrow[user_id];
$useruid = base64_decode($_SESSION['user_id']);

// is the current user the owner of the race?
$race_submitted_by = FALSE;
if($useruid == $row[submitted_by]){
  $race_submitted_by = TRUE;
}

$tagresults = mysql_query("SELECT racetags FROM gforum_Triathlons WHERE uid=$row[uid]");
$tagrow = mysql_fetch_array($tagresults);
$tags = explode(",", $tagrow[racetags]);

$profileresults = mysql_query("SELECT user_racetags FROM ".$prefix."User WHERE user_id='$useruid'") or die(mysql_error());
$profilerow = mysql_fetch_array($profileresults);
$profiletags = explode(",", $profilerow[user_racetags]);

if($_POST[status] == "tag"){
        //tag the race
        if(array_search($useruid, $tags) == FALSE){
                array_push($tags, $useruid);
        }
        $tags = implode(",", $tags);
        mysql_query("UPDATE gforum_Triathlons SET racetags='$tags' WHERE uid=$row[uid]") or die(mysql_error());
        $tags = explode(",", $tags);

        if(array_search($row[uid], $profiletags) == FALSE){
                array_push($profiletags, $row[uid]);
        }
        $profiletags = implode(",", $profiletags);
        mysql_query("UPDATE ".$prefix."User SET user_racetags='$profiletags' WHERE user_id='$useruid'") or die(mysql_error());
}else if($_POST[status] == "untag"){
        //untag the race
        $key = array_search($useruid, $tags);
        unset($tags[$key]);
        $tags = implode(",", $tags);
        mysql_query("UPDATE gforum_Triathlons SET racetags='$tags' WHERE uid=$row[uid]") or die(mysql_error()); 
        $tags = explode(",", $tags);

        $key = array_search($row[uid], $profiletags);
        unset($profiletags[$key]);
        $profiletags = implode(",", $profiletags);
        mysql_query("UPDATE ".$prefix."User SET user_racetags='$profiletags' WHERE user_id=$useruid");
}

//Is the race tagged already?
if(array_search($useruid, $tags) !== FALSE){ $racing = TRUE; }else{ $racing = FALSE; }

if($racing){ $tagstatus = "untag"; $tagtext = "Untag this race";}else{ $tagstatus = "tag"; $tagtext = "Tag this race";}
}
?>

<form action="<? echo $actionlink; ?>" method="post" style="display: inline;">
<input type="hidden" value="<? echo $tagstatus; ?>" name="status" />
<? if (is_logged_in($user)) { ?>
<input type="submit" value="<? echo $tagtext; ?>" class="btn" />
<? } else { ?>
<a href="<? echo $actionlink ?>" class="btn"><? echo $tagtext; ?></a>
<? } ?>
</form>
<form method="post" action="<? echo "individual.php?uid=$row[uid]#racers"; ?>" style="display: inline;">
<input type="submit" value="Who is racing here?" class="btn" />
</form>
<? if(is_logged_in($user)){ ?>
        <form method="post" action="<? echo "individual.php?uid=$row[uid]#comment"; ?>" style="display: inline;">
        <input type="submit" value="Comment on this race" class="btn" />
        </form>
        
        <form method="post" action="<? echo "wiki_edit.php?uid=$row[uid]"; ?>" style="display: inline;">
        <input type="submit" value="Edit this race (wiki)" class="btn" />
        </form>

<?
 if(is_admin($user)) {
?>

<form method="post" action="delete_X.php" style="display: inline;">
<input type="hidden" name="uid" value="<? echo($row[uid]); ?>" />
<input type="submit" value="Delete this race" class="btn" onclick="return confirm('Are you sure you want to DELETE this race?');" />
</form>

<?

//Get user's uid
$testresults = mysql_query("SELECT user_username FROM ".$prefix."User WHERE user_id='$row[submitted_by]'") or die(mysql_error());
$testrow = mysql_fetch_array($testresults);
$username = $testrow[user_username];
echo("<br /><br /><strong>Entered By: </strong> <a href='http://forum.slowtwitch.com/gforum.cgi?username=$username;'>$username</a>");  
  }
}
?>
